PIRL.Database

## Class SQL.Document_Listener

- java.lang.Object
- - PIRL.Database.SQL.Document_Listener

All Implemented Interfaces:
  EventListener, DocumentListener

Enclosing class:
  SQL

    protected class SQL.Document_Listener
    extends Object
    implements DocumentListener

### Constructor Summary

Constructors
`protected` `SQL.Document_Listener()`

### Method Summary

Methods
`void` `changedUpdate(DocumentEvent event)`
`void` `insertUpdate(DocumentEvent event)`
`void` `removeUpdate(DocumentEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQL.Document_Listener

    protected SQL.Document_Listener()

### Method Detail

#### insertUpdate

    public void insertUpdate(DocumentEvent event)

Specified by:
  `insertUpdate` in interface `DocumentListener`

#### removeUpdate

    public void removeUpdate(DocumentEvent event)

Specified by:
  `removeUpdate` in interface `DocumentListener`

#### changedUpdate

    public void changedUpdate(DocumentEvent event)

Specified by:
  `changedUpdate` in interface `DocumentListener`